USERDEL(8)

NAME
userdel - Supprimer un compte utilisateur et les fichiers associés

SYNOPSIS

userdel [-f] [-r] utilisateur

DESCRIPTION

La commande userdel modifie les fichiers d'administration des comptes du système, en supprimant les entrées qui se réfèrent à utilisateur. L'utilisateur nommé doit exister.

OPTIONS

Les options disponibles pour la commande userdel sont :

-f  Cette option force la suppression de l'utilisateur, même s'il est toujours connecté. Elle force également userdel à supprimer le répertoire personnel de l'utilisateur ou sa file d'attente des courriels, meêm si un autre utilisateur utilise le même répertoire personnel ou si l'utilisateur spécifié ne possède pas la file d'attente des courriels. Si USERGROUPS_ENAB vaut yes dans le fichier /etc/login.defs et si un groupe existe avec le même nom que l'utilisateur supprimé, alors ce groupe sera supprimé, même s'il sagit du groupe primaire d'un autre utilisateur.

    Note : Cette option est dangereuse, elle peut laisser votre système dans un état non consistant.

-r  Les fichiers présents dans le répertoire personnel de l'utilisateur seront supprimés en même temps que le répertoire lui-même, ainsi que le répertoire d'attente des courriels. Vous devrez rechercher et éliminer vous-même les fichiers situés dans d'autres systèmes de fichiers.

    Le répertoire d'attente des courriels est défini par la variable MAIL_DIR du fichier login.defs.

FICHIERS

/etc/group
    informations sur les groupes

/etc/login.defs
    configuration de la suite des mots de passe cachés « shadow password »

/etc/passwd
    informations sur les comptes des utilisateurs

/etc/shadow
    informations sécurisées sur les comptes utilisateurs

VALEUR DE RETOUR

La commande userdel retourne les valeurs suivantes en quittant :

0   succès

1   impossible de mettre à jour le fichier des mots de passe

2   erreur de syntaxe

6   l'utilisateur spécifié n'existe pas

8   l'utilisateur est actuellement connecté

10  impossible de mettre à jour le fichier des groupes

12  impossible de supprimer le répertoire personnel

AVERTISSEMENTS

Userdel ne vous permet pas de supprimer un compte si l'utilisateur en question est actuellement connecté. Vous devez tuer tous les processus en cours d'exécution appartenant à l'utilisateur que vous êtes en train de supprimer.

Vous ne pouvez pas supprimer d'attribut NIS d'un client NIS. Cela doit être effectué sur le serveur NIS.

Si USERGROUPS_ENAB vaut yes dans le fichier /etc/login.defs, userdel supprimera le groupe ayant le même nom que l'utilisateur. Afin d'éviter des problèmes de consistance entre les fichiers passwd et group, userdel vérifie que le groupe n'est pas utilisé comme groupe primaire d'un autre utilisateur, et affichera un avertissement et ne supprimera pas l'utilisateur si c'est le cas. L'option -f permet de forcer la suppression du groupe.

VOIR AUSSI

chfn(1), chsh(1), passwd(1), login.defs(5), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), useradd(8), usermod(8).